Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.metaclass
[Java] Class DefaultMetaClassInfo

    java.lang.Object
      org.codehaus.groovy.runtime.metaclass.DefaultMetaClassInfo

    public class DefaultMetaClassInfo
    extends java.lang.Object

WARNING: This class is for internal use only! We use this class to store information about if a default MetaClass is used for certain primitives.

Authors:
  Jochen "blackdrag" Theodorou

Nested Class Summary
`static class` | `DefaultMetaClassInfo.ConstantMetaClassVersioning`

Method Summary
`static boolean` | `disabledStandardMetaClass()`
`static DefaultMetaClassInfo.ConstantMetaClassVersioning` | `getCurrentConstantMetaClassVersioning()`
`static DefaultMetaClassInfo.ConstantMetaClassVersioning` | `getNewConstantMetaClassVersioning()`
`static boolean` | `isOrigBool()`
`static boolean` | `isOrigByte()` sets if the original byte meta class is used
`static boolean` | `isOrigChar()`
`static boolean` | `isOrigDouble()`
`static boolean` | `isOrigFloat()`
`static boolean` | `isOrigInt()` @return true if no meta class creation handle is set and if the original integer array meta class is used.
`static boolean` | `isOrigIntArray()`
`static boolean` | `isOrigLong()` sets if the original float meta class is used
`static boolean` | `isOrigShort()`
`static void` | `setCategoryUsed(boolean b)`
`static void` | `setOrigBool(boolean v)`
`static void` | `setOrigByte(boolean v)`
`static void` | `setOrigChar(boolean v)`
`static void` | `setOrigDouble(boolean v)`
`static void` | `setOrigFloat(boolean v)` sets if the system uses a custom meta class creation handle
`static void` | `setOrigInt(boolean v)` sets if the original int array meta class is used
`static void` | `setOrigIntArray(boolean v)`
`static void` | `setOrigLong(boolean v)`
`static void` | `setOrigShort(boolean v)` @return true if no meta class creation handle is set and if the original integer meta class is used.
`static void` | `setPrimitiveMeta(java.lang.Class c, boolean orig)`
`static void` | `setWithoutCustomMetaclassCreationHandle(boolean mch)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### disabledStandardMetaClass

    public static boolean disabledStandardMetaClass()

### getCurrentConstantMetaClassVersioning

    public static DefaultMetaClassInfo.ConstantMetaClassVersioning getCurrentConstantMetaClassVersioning()

### getNewConstantMetaClassVersioning

    public static DefaultMetaClassInfo.ConstantMetaClassVersioning getNewConstantMetaClassVersioning()

### isOrigBool

    public static boolean isOrigBool()

### isOrigByte

    public static boolean isOrigByte()

  sets if the original byte meta class is used

### isOrigChar

    public static boolean isOrigChar()

### isOrigDouble

    public static boolean isOrigDouble()

### isOrigFloat

    public static boolean isOrigFloat()

### isOrigInt

    public static boolean isOrigInt()

  Returns:
    true if no meta class creation handle is set and if the original integer array meta class is used.

### isOrigIntArray

    public static boolean isOrigIntArray()

### isOrigLong

    public static boolean isOrigLong()

  sets if the original float meta class is used

### isOrigShort

    public static boolean isOrigShort()

### setCategoryUsed

    public static void setCategoryUsed(boolean b)

### setOrigBool

    public static void setOrigBool(boolean v)

### setOrigByte

    public static void setOrigByte(boolean v)

### setOrigChar

    public static void setOrigChar(boolean v)

### setOrigDouble

    public static void setOrigDouble(boolean v)

### setOrigFloat

    public static void setOrigFloat(boolean v)

  sets if the system uses a custom meta class creation handle

### setOrigInt

    public static void setOrigInt(boolean v)

  sets if the original int array meta class is used

### setOrigIntArray

    public static void setOrigIntArray(boolean v)

### setOrigLong

    public static void setOrigLong(boolean v)

### setOrigShort

    public static void setOrigShort(boolean v)

  Returns:
    true if no meta class creation handle is set and if the original integer meta class is used.

### setPrimitiveMeta

    public static void setPrimitiveMeta(java.lang.Class c, boolean orig)

### setWithoutCustomMetaclassCreationHandle

    public static void setWithoutCustomMetaclassCreationHandle(boolean mch)

Groovy Documentation